Subject: Re: [PATCH] powerpc: Fix crash during static key init on ppc32

From: Gabriel Paubert <[email-masked]>
Date: Wed, 10 Aug 2016 10:52:14 +0200

On Wed, Aug 10, 2016 at 01:17:55AM -0700, Christian Kujau wrote:
> On Wed, 10 Aug 2016, Benjamin Herrenschmidt wrote:
> > We cannot do those initializations from apply_feature_fixups() as
> > this function runs in a very restricted environment in 32-bit where
> > the kernel isn't running at its linked address and the PTRRELOC()
> > macro must be used for any global accesss.
> > 
> > Instead, split them into a separtate steup_feature_keys() function
> > which is called in a more suitable spot on ppc32.
> 
> Wow, cool. With that applied (on top of mainline from some minutes ago), 
> this PowerPC G4 boots again. Thanks!

Just a question, does sleep work on your PowerBook? 

It has been broken for several releases of the kernel on mine, but I've not
had time to investigate it and it might also be a distro/systemd issue.

    Regards,
    Gabriel